from model.editable import Editable

class Example(Editable):
    def __init__(self, example_xml):
        example = example_xml.querySelector("example")
        self.example = example.textContent if example else ""
        
        self.translations = []
        for translation in example_xml.querySelectorAll("translationContainer translation"):
            self.translations.append(translation.textContent)
